# ChapterWise Codex Template: Short Story
# ========================================
# This is a starter template for a short story.
# Perfect for quick starts and single-file projects.
# 
# Documentation: https://chapterwise.app/docs/codex/format

metadata:
  formatVersion: "1.1"
  author: "Your Name"
  created: "2024-01-01"
  description: "A short story created with ChapterWise"

# Short Story Entity (single chapter format)
id: "my-short-story"
type: story
name: "My Short Story Title"
summary: "A brief logline or summary of your story."

# Story-level attributes
attributes:
  - key: genre
    value: "Fiction"
  - key: status
    value: "Draft"
  - key: word_count_target
    value: 5000

# The story content
body: |
  The story begins here.
  
  Write your short story directly in this body field.
  For short fiction, you don't need to break it into
  separate chapter entities—just write everything here.
  
  Separate paragraphs with blank lines.
  
  Use the YAML multi-line syntax (the pipe character |)
  to include all your prose content.
  
  When you're ready to analyze your story, push this file
  to GitHub and ChapterWise will automatically detect it.
  
  Happy writing!

# Optional: If your short story has distinct sections
# you can use children entities instead
# children:
#   - id: "part-one"
#     type: section
#     name: "Part One"
#     body: |
#       Content of part one...

